> For the complete documentation index, see [llms.txt](https://docs.iexexchanger.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.iexexchanger.com/guide/copy-of-iexexchanger-api/valyuty-i-napravleniya/detali-operacii.md).

# Детали операции

<mark style="color:green;">`POST`</mark> **`/operations/detail/{direction_id}`**

## **Параметры запроса**

| Параметр       | Обязательный | Описание              |
| -------------- | ------------ | --------------------- |
| `direction_id` | Да           | ID Направления обмена |

## **Схема ответа**

| Параметр          | Тип поля | Описание                                         |
| ----------------- | -------- | ------------------------------------------------ |
| **data**          | dict     | Информация о направлении                         |
| id                | int      | ID Направления обмена                            |
| type              | string   | Тип массива                                      |
| **attributes**    | dict     | Параметры направлений                            |
| position\_num\_in | int      | Позиция в списке отдаваемых валют для сортировки |
| **in\_currency**  | dict     | Информация о валюте Отдаю                        |
| id                | int      | ID Валюты                                        |
| letter\_cod       | string   | Общепринятый код валюты                          |
| name              | string   | Название валюты                                  |
| label\_in         | string   | Сообщение для поля Отдаю                         |
| label\_out        | string   | Сообщение для поля Получаю                       |
| error\_message    | string   | Сообщение об ошибки ввода реквизитов             |
| decimal           | int      | Кол-во знаков после запятой                      |
| field\_in         | dict     | Доп. поля для Отдаю                              |
| field\_out        | dict     | Доп. поля для Получаю                            |
| position\_num\_in | int      | Позиция в списке получаемых валют для сортировки |
| **out\_currency** | dict     | Информация о валюте Получаю                      |
| id                | int      | ID Валюты                                        |
| letter\_cod       | string   | Общепринятый код валюты                          |
| name              | string   | Название валюты                                  |
| label\_in         | string   | Сообщение для поля Отдаю                         |
| label\_out        | string   | Сообщение для поля Получаю                       |
| error\_message    | string   | Сообщение об ошибки ввода реквизитов             |
| decimal           | int      | Кол-во знаков после запятой                      |
| field\_in         | dict     | Доп. поля для Отдаю                              |
| field\_out        | dict     | Доп. поля для Получаю                            |
| --                | --       | --                                               |
| course            | dict     | Курс обмена                                      |
| min\_in           | float    | Минимальная сумма для Отдаю                      |
| max\_in           | float    | Максимальная сумма для Отдаю                     |
| min\_out          | float    | Минимальная сумма для Получаю                    |
| min\_out          | float    | Максимальная сумма для Получаю                   |
| cities            | dict     | Доступные Страны/Города для обмена наличных      |
| fields            | dict     | Дополнительные поля для Направлений              |

## **Пример запроса**

{% tabs %}
{% tab title="Laravel Http" %}

```php
use Illuminate\Support\Facades\Http;

$api_key = 'YOUR_API_KEY';
$base_url = '{ваш_домен}/api/v2'
$response = Http::baseUrl($base_url)->withToken($api_key)->asJson()
                ->get('/operations/detail/{direction_id}')->json();
```

{% endtab %}
{% endtabs %}

## Пример ответа

{% tabs %}
{% tab title="200" %}

```json
{
    "data":{
        "id":1,
        "type":"direction",
        "attributes":{
            "position_num_in":0,
            "in_currency":{
                "id":2,
                "letter_cod":"BTC",
                "name":"Bitcoin BTC",
                "label_in":"С кошелька Bitcoin",
                "label_out":"На Bitcoin кошелек",
                "error_message":"",
                "decimal":8,
                "fields_in":{
                    "main":[],
                    "additional":[]
                },
                "fields_out": {
                    "main":[],
                    "additional":[]
                }
            },
            "position_num_out":0,
            "out_currency":{
                "id":1,
                "letter_cod":"SBERRUB",
                "name":"СберОнлайн",
                "label_in":"С номера карты",
                "label_out":"Номер карты to",
                "error_message":"",
                "decimal":2,
                "fields_in":{
                    "main":[],
                    "additional":[]
                },
                "fields_out":{
                    "main":[],
                    "additional":[]
                }
            },
            "course":{
                "rate":5584341.301011727
            },
            "min_in":1.8e-7,
            "max_in":0.02003904,
            "min_out":1,
            "max_out":110000,
            "cities":[],
            "fields":[]
        }
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.iexexchanger.com/guide/copy-of-iexexchanger-api/valyuty-i-napravleniya/detali-operacii.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
